<nz-spin [nzSpinning]="isLoading">
  <app-main-layout title="Liste des utilisateurs" [breadCrumbs]="['Admin', 'Liste des utilisateurs']">
    <ng-container *ngIf="!isLoading">
      <nz-tabset>
        <nz-tab nzTitle="Patients">
          <ng-template nz-tab>
            <app-cruder [service]="usersService" [type]="claimsEnum.isUser"></app-cruder>
          </ng-template>
        </nz-tab>
        <nz-tab nzTitle="Managers">
          <ng-template nz-tab>
            <app-cruder [service]="usersService" [type]="claimsEnum.isManager"></app-cruder>
          </ng-template>
        </nz-tab>
        <nz-tab nzTitle="Pds">
          <ng-template nz-tab>
            <app-cruder [service]="usersService" [type]="claimsEnum.isPds"></app-cruder>
          </ng-template>
        </nz-tab>
        <nz-tab nzTitle="Admins">
          <ng-template nz-tab>
            <app-cruder [service]="usersService" [type]="claimsEnum.isAdmin"></app-cruder>
          </ng-template>
        </nz-tab>
      </nz-tabset>
    </ng-container>
  </app-main-layout>
</nz-spin>
